{
    "configurations": [
        {
            "showDevDebugOutput": "none",
            "cwd": "${workspaceRoot}",
            "executable": "./build/debug/AMS_Master_Nucleo.elf",
            "name": "Debug STM32",
            "request": "launch",
            "type": "cortex-debug",
            "servertype": "openocd",
            "preLaunchTask": "Build STM",
            "device": "stm32h7a3xxq.s",
            "configFiles": [
                "openocd.cfg"
            ],
            "swoConfig": {
                "enabled": true,
                "source": "probe",
                "swoFrequency": 10666666, 
                "cpuFrequency": 64000000,
                "decoders": [
                    {
                        "port": 0,
                        "type": "console",
                        "label": "SWO LOG",
                        "encoding": "ascii"
                    }
                ]
            }
        },
        {
            "showDevDebugOutput": "none",
            "cwd": "${workspaceRoot}",
            "executable": "./build/debug/AMS_Master_Nucleo.elf",
            "name": "Attach STM32",
            "request": "attach",
            "type": "cortex-debug",
            "servertype": "openocd",
            "preLaunchTask": "Build STM",
            "device": "stm32h7a3xxq.s",
            "configFiles": [
                "openocd.cfg"
            ],
            "swoConfig": {
                "enabled": true,
                "source": "probe",
                "swoFrequency": 10666666, 
                "cpuFrequency": 64000000,
                "decoders": [
                    {
                        "port": 0,
                        "type": "console",
                        "label": "SWO LOG",
                        "encoding": "ascii"
                    }
                ]
            }
        }
    ]
}